# gfs_glob_add

## Name

gfs_glob_add -- adds the type of path name

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_glob_add``(gfs_glob_t * `listp`, int `dtype`);`

## DESCRIPTION

`gfs_glob_add()` adds the type of path name `dtype` to `listp`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

## SEE ALSO

gfs_glob_init(3) gfs_glob(3) gfs_glob_free(3)